package com.huiju.estateagents.activity.controller;

import com.huiju.estateagents.activity.service.ActivityServiceI;
import com.huiju.estateagents.base.BaseController;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaPerson;
import com.huiju.estateagents.service.ITaPersonService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @author FXF
 * @date 2019-10-21
 */
@RestController
@RequestMapping("/api")
@Api(value = "所有活动", tags = "所有活动")
public class ActivityController extends BaseController {
	
	@Autowired
	private ActivityServiceI activityService;
	
	@Autowired
	private ITaPersonService taPersonService;
	
	@RequestMapping(value = "/wx/activity/list", method = RequestMethod.GET)
	public ResponseBean wxBuildingDynamiceList(@RequestParam(value = "pageNumber",defaultValue = "1")Integer pageNumber,
	                                           @RequestParam(value = "pageSize",defaultValue = "10")Integer pageSize,
	                                           @RequestParam(value = "cityId",required = false)Integer cityId,
	                                           HttpServletRequest request){
		String openid = getOpenId(request);
		Integer orgId = getOrgId(request);
		ResponseBean  responseBean = new ResponseBean();
		List<TaPerson> taPersons = taPersonService.getPersonsByOpenId(openid);
		if (null == taPersons || taPersons.size() != 1) {
			return responseBean.error("验证人员信息失败", ResponseBean.ERROR_UNAVAILABLE);
		}
		TaPerson person = taPersons.get(0);
		responseBean = activityService.getActivityList(pageNumber,pageSize,orgId,person,cityId);
		
		return responseBean;
	}
}
